Subject: bug#52347: Shell: error when -m manifest is removed

From: Cayetano Santos <[email-masked]>
Date: Tue, 07 Dec 2021 11:23:05 +0100

>mar. 07 déc. 2021 at 11:18, zimoun <[email-masked]> ...

> Hi,
>
> On Tue, 7 Dec 2021 at 11:10, Cayetano Santos
> <[email-masked]> wrote:
>>
>> Problem is
>>
>>   guix shell -C -- python3
>>
>> Tried after ’guix pull’ and problem remains.
>
> Which revision do you use?  Because using f43a783, it fails as 
> expected. :-)

I’m using guix 05deb26.

Is it expected to fail when I remove the ’-m manifest’ flag and I 
just run ’guix shell -C -- python3’ ?

> Are you running Guix on foreign distro or Guix System?

Foreign, on top of ArchLinux.

C.